For the complete documentation index, see llms.txt. This page is also available as Markdown.

Top Up

The "Top Up" endpoint allows customers to add funds to an existing fixed deposit account.

POST /api/fixeddepositaccount/v1/topup

To top up a fixed deposit, you need to provide the necessary body parameters, such as accountNumber, instrumentNumber, and topUpAmount.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference*

{unique_reference}

Body

Name
Data Type (Length)
Required
Description

accountNumber

string (50)

This is the Savings Account Number that will be credited. This is not the Liquidation Account.

instrumentNumber

string (100)

The instrument number of the fixed deposit account to be topped up. Used to prevent duplicate requests.

topUpAmount

number

The amount to be topped up into the fixed deposit account. The amount should be sent in the base unit of the currency. For example, 1000 naira will be sent as 1000 * 100.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/fixeddepositaccount/v1/topup' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "accountNumber": "string",
  "instrumentNumber": "string",
  "topUpAmount": 0
}'
Respose: 200
{
  "status": true,
  "message": "string",
  "data": {
    "statusCode": "string",
    "referenceNumber": "string",
    "instrumentNumber": "string",
    "message": "string",
    "duration": "string",
    "sessionID": "string"
  },
  "isSuccessful": true,
  "statusCode": "string",
  "referenceNumber": "string",
  "instrumentNumber": "string",
  "duration": "string",
  "sessionID": "string"
}

Last updated